Name:           python-netcdf4
Version:        1.0.2
Release:        %mkrel 1
Summary:        Python/Numpy interface to netCDF

Group:          Development/Python
License:        MIT
URL:            http://code.google.com/p/netcdf4-python/
Source0:        http://netcdf4-python.googlecode.com/files/netCDF4-%{version}.tar.gz
# No rpath for library
# http://code.google.com/p/netcdf4-python/issues/detail?id=138
Patch0:         netcdf4-python-norpath.patch
# Don't link against hdf5 and z libraries
# http://code.google.com/p/netcdf4-python/issues/detail?id=139
Patch1:         netcdf4-python-libs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-numpy
BuildRequires:  python-numpy-devel
BuildRequires:  netcdf-devel

Requires:       python-numpy

%description
netCDF version 4 has many features not found in earlier versions of the
library and is implemented on top of HDF5. This module can read and write
files in both the new netCDF 4 and the old netCDF 3 format, and can create
files that are readable by HDF5 clients. The API modeled after
Scientific.IO.NetCDF, and should be familiar to users of that module.

Most new features of netCDF 4 are implemented, such as multiple unlimited
dimensions, groups and zlib data compression. All the new numeric data types
(such as 64 bit and unsigned integer types) are implemented. Compound and
variable length (vlen) data types are supported, but the enum and opaque data
types are not. Mixtures of compound and vlen data types (compound types
containing vlens, and vlens containing compound types) are not supported.

%prep
%setup -q -n netCDF4-%{version}
%patch0 -p1 -b .norpath
%patch1 -p1 -b .libs
# Remove bundled ordereddict
rm ordereddict.py

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
# Multiarch deny version detection using grep:
export HDF5_INCDIR=%{multiarch_includedir}
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

# Multiarch deny version detection using grep:
export HDF5_INCDIR=%{multiarch_includedir}
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

 
%check
cd test
PYTHONPATH=$(echo ../build/lib.*) python run_all.py

%files
%doc Changelog COPYING docs examples README
%{_bindir}/nc3tonc4
%{_bindir}/nc4tonc3
%{python_sitearch}/*



%changelog
* Fri Nov 22 2013 nanardon <nanardon> 1.0.2-1.mga4
+ Revision: 552307
- Fix package Group
- imported package python-netcdf4


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 21 2013 Orion Poplawski <orion@cora.nwra.com> - 1.0.2-1
- Update to 1.0.2
- Remove bundled ordereddict (Bug #913528), require it on EL6
- Run tests

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3.fix1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 12 2012 Orion Poplawski <orion@cora.nwra.com> - 1.0-2.fix1
- Add patch to link only against netcdf

* Thu May 24 2012 Orion Poplawski <orion@cora.nwra.com> - 1.0-1.fix1
- Update to 1.0fix1

* Thu Apr 5 2012 Orion Poplawski <orion@cora.nwra.com> - 0.9.9-1
- Update to 0.9.9

* Thu Sep 8 2011 Orion Poplawski <orion@cora.nwra.com> - 0.9.7-1
- Initial package
